%CH1PLOT M-Code for communicating with an instrument. 
%  
%   This is the machine generated representation of an instrument control 
%   session using a device object. The instrument control session comprises  
%   all the steps you are likely to take when communicating with your  
%   instrument. These steps are:
%       
%       1. Create a device object   
%       2. Connect to the instrument 
%       3. Configure properties 
%       4. Invoke functions 
%       5. Disconnect from the instrument 
%  
%   To run the instrument control session, type the name of the M-file,
%   ch1plot, at the MATLAB command prompt.
% 
%   The M-file, CH1PLOT.M must be on your MATLAB PATH. For additional information
%   on setting your MATLAB PATH, type 'help addpath' at the MATLAB command
%   prompt.
%
%   Example:
%       ch1plot;
%
%   See also ICDEVICE.
%

%   Creation time: 03-May-2007 13:25:09 
globalvars;

obj1 = instrfind('Type', 'serial', 'Port', 'COM2', 'Tag', '');

% Create the serial port object if it does not exist
% otherwise use the object that was found.
if isempty(obj1)
    obj1 = serial('COM2');
else
    fclose(obj1);
    obj1 = obj1(1)
end

% Disconnect from instrument object, obj1.
fclose(obj1);

% Configure instrument object, obj1.
set(obj1, 'FlowControl', 'hardware');

% Connect to instrument object, obj1.
fopen(obj1);

% Create a SERIAL object.
interfaceObj = instrfind('Type', 'serial', 'Port', 'COM2', 'Tag', '');

% Create the SERIAL object if it does not exist
% otherwise use the object that was found.
if isempty(interfaceObj)
    interfaceObj = serial('COM2');
else
    fclose(interfaceObj);
    interfaceObj = interfaceObj(1);
end

% Create a device object. 
deviceObj = icdevice('tektronix_tds210.mdd', interfaceObj);

% Connect device object to hardware.
connect(deviceObj);
